Bug 128877 - /etc/ppp/firewall-masq still uses ipchains
/etc/ppp/firewall-masq still uses ipchains
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rp-pppoe (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
: FutureFeature, Reopened
Depends On:
Blocks: FC3Target 187539
  Show dependency treegraph
 
Reported: 2004-07-30 16:00 EDT by Niels Happel
Modified: 2015-01-07 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0334
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 14:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rp-pppoe-3.5-firewall_iptables.patch (2.67 KB, patch)
2004-07-31 14:06 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Niels Happel 2004-07-30 16:00:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
/etc/ppp/firewall-masq still uses ipchains instead of iptables.

Version-Release number of selected component (if applicable):
rp-pppoe-3.5-4

How reproducible:
Always

Steps to Reproduce:
1.take a look at it
2.same in fc2
3.
    

Actual Results:  uses less featured ipchains

Expected Results:  uses more featured iptables

Additional info:

its outdated and still used in fc2
Comment 1 Robert Scheck 2004-07-31 14:06:48 EDT
Created attachment 102336 [details]
rp-pppoe-3.5-firewall_iptables.patch

This patch solves the issue for me, can be applied to the spec file. Maybe this

patch should be tested and reviewed ;-)

Requesting update with iptables firewall for FC1, FC2, RHEL3. Fedora
Development
aka Rawhide (and the next release FC3) also should be updated. Thank you :)
Comment 2 Ngo Than 2004-08-02 09:17:31 EDT
firewall support is just a hidden feature in rp-pppoe. The user cannot
use it without changing the config file manually.

Yes, the script is still using the old ipchains and needs to be fixed.

I don't think it's really needed to make update for FC1, FC2, RHEL3.

but in any case i will add this fix in FC3. Thanks for your patch.
Comment 3 Robert Scheck 2004-08-02 09:19:53 EDT
Okay, thank you for merging it to rawhide :)
Comment 7 Red Hat Bugzilla 2006-05-03 14:55:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0334.html

Note You need to log in before you can comment on or make changes to this bug.